import request from '@/utils/request'

// 查询项目跟进计划列表
export function listProjectPlan(query) {
  return request({
    url: '/project/projectPlan/list',
    method: 'get',
    params: query
  })
}

// 查询项目跟进计划详细
export function getProjectPlan(id) {
  return request({
    url: '/project/projectPlan/' + id,
    method: 'get'
  })
}

// 新增项目跟进计划
export function addProjectPlan(data) {
  return request({
    url: '/project/projectPlan',
    method: 'post',
    data: data
  })
}

// 修改项目跟进计划
export function updateProjectPlan(data) {
  return request({
    url: '/project/projectPlan',
    method: 'put',
    data: data
  })
}

// 删除项目跟进计划
export function delProjectPlan(id) {
  return request({
    url: '/project/projectPlan/' + id,
    method: 'delete'
  })
}


export function listAll(type) {
  return request({
    url: '/project/projectPlan/listAll/' + type,
    method: 'get'
  })
}